Bug 247382 - Data corruption with sata_sil24 and device mapper
Data corruption with sata_sil24 and device mapper
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-08 10:39 EDT by David Shaw
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-17 17:34:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Shaw 2007-07-08 10:39:58 EDT
Description of problem:

Using the device mapper on a SATA disk with sata_sil24 seems to cause data

Version-Release number of selected component (if applicable):


How reproducible:

Create two DM linear mappings such that they both live on the same disk.  mkfs
them.  Write to them.  fsck them and see corruption.

Steps to Reproduce:
1.  echo "0 482344960 linear 8:32 0" | dmsetup create one
    echo "0 209715200 linear 8:32 482345000" | dmsetup create two
    (change 8:32 as needed)
2.  mke2fs -j -m0 /dev/mapper/one
    mke2fs -j -m0 /dev/mapper/two
    mount /dev/mapper/one /one
    mount /dev/mapper/two /two

3.  cd /one ; \
    for i in `seq 0 3`; do dd if=/dev/zero bs=4K count=1M of=$i; done ; \
    cd ; \
    umount /one

4.  cd /two ; \
    for i in `seq 0 3`; do dd if=/dev/zero bs=4K count=1M of=$i; done ; \
    cd ; \
    umount /two

5.  fsck -f /dev/mapper/one
    fsck -f /dev/mapper/two

Actual results:

Many errors on fsck.

Expected results:

No errors on fsck.

Additional info:

The disk for me is a a Seagate 500GB SATA drive (ST3500630AS, firmware 3.AAE)
It is attached to the machine via an Addonics ADS3GX4R5-E eSATA card (which
appears to be a Silicon Image 3124 OEM).  The driver, in any event, is sata_sil24.

I debated whether to file this against LVM/device-mapper or the kernel.  kernel
won because given the libata changes in f7, it seemed a more likely place for a
bug to pop up.  I could be wrong.
Comment 1 Christopher Brown 2007-09-17 17:11:43 EDT
Hello David,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.


I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Comment 2 David Shaw 2007-09-17 17:19:18 EDT
I'm afraid this one should meet the same fate as bug 245911.  The machine was
ultimately replaced, so it is no longer possible to track this down.
Comment 3 Christopher Brown 2007-09-17 17:34:32 EDT
Okay, thanks for updating David. Sorry again.


Note You need to log in before you can comment on or make changes to this bug.